# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Custom				= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Operation
include                         $(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/Makefile.deps
endif
ifndef Instruction
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Instruction/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Custom_DIR			=	$(DIR_MORPHEO)/Behavioural/./Custom

#-----[ Library ]------------------------------------------

Custom_LIBRARY			= 	-lCustom			\
					$(Operation_LIBRARY)		\
					$(Instruction_LIBRARY)		\
					$(Behavioural_LIBRARY)	

Custom_DIR_LIBRARY		=	-L$(Custom_DIR)/lib		\
					$(Operation_DIR_LIBRARY)	\
					$(Instruction_DIR_LIBRARY)	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Custom_library			:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) Instruction_library;		\
				$(MAKE) Operation_library;		\
				$(MAKE) --directory=$(Custom_DIR) --makefile=Makefile;


Custom_library_clean		:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) Instruction_library_clean;	\
				$(MAKE) Operation_library_clean;	\
				$(MAKE) --directory=$(Custom_DIR) --makefile=Makefile clean;
